
abstract class DiscountEvent {}

class ProductImageAdded extends DiscountEvent {
  final String imagePath;
  final int index;
  ProductImageAdded(this.imagePath, this.index);
}

class ProductNameChanged extends DiscountEvent {
  final String name;
  ProductNameChanged(this.name);
}

class DiscountTypeChanged extends DiscountEvent {
  final String typeId;
  DiscountTypeChanged(this.typeId);
  }

class DescriptionChanged extends DiscountEvent {
  final String description;
  DescriptionChanged(this.description);
}

class ValidityDateChanged extends DiscountEvent {
  final DateTime startDate;
  final DateTime endDate;
  ValidityDateChanged({required this.startDate, required this.endDate});
}

class TimeRangeChanged extends DiscountEvent {
  final String startTime;
  final String endTime;
  TimeRangeChanged({required this.startTime, required this.endTime});
}

class PriceChanged extends DiscountEvent {
  final String price;
  PriceChanged(this.price);
}

class DiscountedPriceChanged extends DiscountEvent {
  final String price;
  DiscountedPriceChanged(this.price);
}

class NotificationRadiusChanged extends DiscountEvent {
  final double radius;
  NotificationRadiusChanged(this.radius);
}

class SubmitDiscount extends DiscountEvent {}